/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.scriptcase.db.entity.AtuElementInfo;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
* Restful接口--资源详情--数据传输对象：元素信息管理
*
* createdate:  2022-11-04 09:57:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "元素信息管理")
public class AtuElementInfoDetailDto extends AtuElementInfo implements Serializable
{
    @ApiModelProperty("创建人名称")
    private String creator;
    @ApiModelProperty("修改人名称")
    private String modifier;
    @ApiModelProperty("元素属性值对象")
    private Map<String,Object> fValue;
    @ApiModelProperty("备用元素属性值对象")
    private Map<String,Object> sValue;

    @ApiModelProperty("元素获取方式集合")
    private List<AtuElementFetchTypeDto> fetchTypeList;

    public List<AtuElementFetchTypeDto> getFetchTypeList() {
        return fetchTypeList;
    }

    public void setFetchTypeList(List<AtuElementFetchTypeDto> fetchTypeList) {
        this.fetchTypeList = fetchTypeList;
    }

    public Map<String, Object> getfValue() {
        return fValue;
    }

    public void setfValue(Map<String, Object> fValue) {
        this.fValue = fValue;
    }

    public Map<String, Object> getsValue() {
        return sValue;
    }

    public void setsValue(Map<String, Object> sValue) {
        this.sValue = sValue;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}